#pragma once


////////////////////////////
// 1-D INTEGRALS
////////////////////////////


namespace integration {

  extern double gauss     (double f(double,void*), double xmin, double xmax,              double prec, double *error=NULL, void *par=NULL);
  extern double gauss_inf (double f(double,void*), double xmin,                           double prec, double *error=NULL, void *par=NULL);
  extern double gauss_inf2(double f(double,void*),                                        double prec, double *error=NULL, void *par=NULL);
  extern double gauss_sing(double f(double,void*), double xmin, double xmax, double sing, double prec, double *error=NULL, void *par=NULL);


};
